// Did same stuff for back cover as front cover, modified the front
// cover file slightly to produce this back cover part.

// Thickness of the plywood cover
cover_thick=5.7;

// diameter of the bolt head which screws into the t-nut
bolt_head=9.07+0.5;

// diameter of the bolt shaft
bolt_shaft=5+0.5;

// Thickness of the plate holding everything against the v-slot
plate_thick=4;

module keyway(height=2) {
   // import the image of the front cover "key" shape I jigsawed into it
   // and rotate and translate it to a convenient position and scale it
   // so it fits well (determined by a few test prints).
   //
   difference() {
      scale([1.10,1.10,1])
         rotate([180,0,0])
            translate([-7.1,-13.6,-height])
               linear_extrude(height=height)
                  import("back-cover.svg");
      translate([-1,-5,-1])
         cube([20,5,height+2]);
   }
}

rotate([90,0,0])
translate([0,2,0])
difference() {
   union() {
      keyway(height=cover_thick);
      translate([-10,-1.99,0])
         cube([40,2,20]);
      translate([-10,-1.99,10])
         cube([40,4,10]);
      difference() {
         translate([-10,0,cover_thick+5])
            rotate([0,90,0])
               cylinder(h=40,r=5,$fn=64);
         translate([-11,-5,cover_thick])
            cube([42,5,12]);
      }
   }
   translate([7,-5,10])
      rotate([-90,0,0])
         cylinder(h=20,r=bolt_shaft/2,$fn=64);
   translate([7,1.9,10])
      rotate([-90,0,0])
         cylinder(h=20,r=bolt_head/2,$fn=64);
}

