// Simple washers for holding the power supply off the bottom of
// the box and making sure the bolts aren't too log to screw into
// the holes. My M4 20mm bolts stick 8.4mm above the bottom.
// The PSU threads are only 5mm deep, so I need at least 3.4mm
// high risers, and better make them 3.8mm just to make sure
// I'm not cutting things too close.

module wash_psu() {
   difference() {
      cylinder(r=17/2,h=3.4,$fn=64);
      translate([0,0,-1])
         cylinder(r=4.4/2,h=3.4+2,$fn=64);
   }
}

union() {
for (i=[0,20]) {
   for (j=[0,20]) {
      translate([i,j,0])
         wash_psu();
   }
}
}
