// I need a 5mm thick washer under the top of the box to allow me
// to use 15mm M5 bolts through the box top up into the v-slot with a t-nut
// and secure the bottom rails of the printer. Maybe should even go a
// tad thicker than 5mm.
//
// Yikes! The paint is thick enough to make this too thick. Let's drop to
// 4.8

module box_top_washer(thick=5.2) {
   difference() {
      cylinder(r=12,h=thick,$fn=64);
      translate([0,0,-1])
         cylinder(r=5.5/2,h=thick+2,$fn=64);
      // Flatten one side so it can get close to the inside wall of the box
      translate([-26/2,12-4,-1])
         cube([26,26,thick+2]);
   }
}

module eight_washer(thick=5.2) {
   for (i = [0 : 26 : 78]) {
      for (j = [0 : 22 : 22]) {
         translate([i,j,0])
            box_top_washer(thick);
      }
   }
}

eight_washer(4.8);
